<!DOCTYPE html>
<html lang="en">

<head th:replace="fragments/layout.html :: head('DigiTroc - Profil')">
</head>

<body>
    <nav th:replace="@{/include/navbar}"></nav>

    <main>

        <div class="container-fluid p-0"><img src="img/banniere.jpg" class="img-fluid w-100" alt="photo dvd" /></div>
        <div class="text-white m-5">
            <h2>Profil</h2>
        </div>
        <div class="container">
            <div class="card mb-3">
                <div class="row g-0">
                    <div class="col-md-8">
                        <div class="card-body">
                            <h1 class="card-title" th:text="${user.username}">Card title</h1>
                            <p class="card-text"><small class="text-muted">Inscrit(e) depuis : <span
                                        th:text="${user.createdAt}"></span></small></p>
                            <p class="card-text">
                            <p class="text-dark">Nom : <span class="fw-bold" th:text="${user.lastname}"></span></p>
                            </p>
                            <p class="card-text">
                            <p class="text-dark">Prénom : <span class="fw-bold" th:text="${user.firstname}"></span></p>
                            </p>
                            <p class="card-text">
                            <p class="text-dark">Ville : <span class="fw-bold" th:text="${user.city}"></span></p>
                            </p>
                            <p class="card-text">
                            <p class="text-dark">email : <span class="fw-bold" th:text="${user.email}"></span></p>
                            </p>
                            <div class="align-items-end">
                                <a th:href="@{/edit}"><button type="button" class="btn btn-warning"><i
                                            class="far fa-edit"></i></button></a>
                                <a href="#"><button type="button" class="btn btn-danger"><i
                                            class="far fa-trash-alt"></i></button></a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="container mt-5">
            <div class="row">
                <col class="col-12">
                <a th:href="@{/add-dvd}"><button class="btn btn-primary w-100 p-3" type="button"><i class="fas fa-compact-disc"></i><span> Ajouter un dvd</span></button></a>
                </col>
            </div>
        </div>

        <div class="container-fluid">
            <div class="row row-cols-1 row-cols-sm-2 row-cols-md-4 g-3 p-5">
                <div class="col " th:each="dvd : ${owndvds}">
                    <div class="card shadow-sm p-3 m-3">
                        <a th:href="@{/dvd/} + ${dvd.id}">
                            <img th:src="${dvd.image}" class="img-fluid w-100 dvdimg" alt="photo dvd" /></a>
                        <div class="card-body">
                            <p class="card-text title fs-5 fw-bold" th:text="${dvd.title}">Card title</p>
                            <div class="d-flex justify-content-between align-items-center">
                                <div class="btn-group">
                                    <a th:href="@{/dvd/} + ${dvd.id}"><button type="button" class="btn btn-sm btn-primary border-1 border-white"><i
                                            class="fas fa-eye"></i></button></a>
                                    <a href="#"><button type="button" class="btn btn-sm btn-warning border-1 border-white"><i
                                            class="far fa-edit"></i></button></a>
                                    <a th:href="@{/profil}"><button type="button" class="btn btn-sm btn-danger border-1 border-white"><i
                                            class="far fa-trash-alt"></i></button></a>
                                </div>
                                <small class="text-muted text-center">date ajout : <span class="date"
                                        th:text="${#dates.format(new java.util.Date(dvd.addedAt), 'dd/MM/yyyy')}"></span></small>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>

        <!-- <div class="text-white m-5">
            <h2>Ma bibliothèque d'échanges</h2>
        </div>
        <div class="container">
            <div class="row">
                <div class="col-3" th:each=" user : ${user.dvd}">
                    <div class="card m-3">
    
                        <img th:src="${user.dvd.image}" class="card-img-top" th:alt="${user.dvd.name}">
                        <div class="card-body">
                            <h3 class="card-title" th:text="${user.dvd.name}"></h3>
                            <p class="card-text"><small class="text-muted">Ajouté le : <span
                                        th:text="${user.dvd.added_at}"></span></small></p>
                            <a th:href="@{/user/}+${user.dvd}" class="btn btn-primary">voir le dvd</a>
                        </div>
                    </div>
                </div>
            </div>
        </div> -->
    </main>

    <div th:replace="@{/include/footer}"></div>
    <div th:replace="fragments/layout.html :: foot"></div>
</body>

</html>